Bug 1274067 - After updating JON server in WIndows enviroment with ER2 patch the Storage fails to start
After updating JON server in WIndows enviroment with ER2 patch the Storage fa...
Status: CLOSED WORKSFORME
Product: JBoss Operations Network
Classification: JBoss
Component: Storage Node (Show other bugs)
JON 3.3.4
Unspecified Unspecified
unspecified Severity high
: CR01
: JON 3.3.4
Assigned To: Michael Burman
Filip Brychta
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 15:58 EDT by Vojta Prusa
Modified: 2015-10-29 11:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
OS: Windows Server 2008
Last Closed: 2015-10-29 11:55:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log for ER1 (2.08 KB, text/plain)
2015-10-21 15:59 EDT, Vojta Prusa
no flags Details
Log for ER1 (136.20 KB, text/plain)
2015-10-21 16:00 EDT, Vojta Prusa
no flags Details
Log for ER1 (1.51 KB, text/plain)
2015-10-21 16:01 EDT, Vojta Prusa
no flags Details
Log for ER1 (2.10 KB, text/plain)
2015-10-21 16:01 EDT, Vojta Prusa
no flags Details
Log for ER1 (428.20 KB, text/plain)
2015-10-21 16:01 EDT, Vojta Prusa
no flags Details
Log for ER2 (2.08 KB, text/plain)
2015-10-21 16:01 EDT, Vojta Prusa
no flags Details
Log for ER2 (116.94 KB, text/plain)
2015-10-21 16:02 EDT, Vojta Prusa
no flags Details
Log for ER2 (1.51 KB, text/plain)
2015-10-21 16:02 EDT, Vojta Prusa
no flags Details
Log for ER2 (2.79 KB, text/plain)
2015-10-21 16:02 EDT, Vojta Prusa
no flags Details
Log for ER2 (470.84 KB, text/plain)
2015-10-21 16:03 EDT, Vojta Prusa
no flags Details
rhq-storage-wrapper.log with debug msgs (37.12 KB, text/plain)
2015-10-21 16:22 EDT, Filip Brychta
no flags Details
casssandra-jvm.properties (4.54 KB, text/plain)
2015-10-21 16:37 EDT, Filip Brychta
no flags Details
rhq-storage-wrapper.env (1.46 KB, text/plain)
2015-10-21 16:38 EDT, Filip Brychta
no flags Details

  None (edit)
Description Vojta Prusa 2015-10-21 15:58:57 EDT
Description of problem:
After successful applying ER2 patch on JON server. Storage service fails to start on JON server start (rhqctl start).
ER1 work fine - to compare logs from ER1 & ER2 updates attached.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Apply ER2 patch on JON 3.3.4 server
2. Start server with "{JON_HOME}/bin/rhqctl start"

Actual results:
Storage resource is Down
Errors in storage logs.

Expected results:


Additional info:
Comment 1 Vojta Prusa 2015-10-21 15:59 EDT
Created attachment 1085275 [details]
Log for ER1
Comment 2 Vojta Prusa 2015-10-21 16:00 EDT
Created attachment 1085276 [details]
Log for ER1
Comment 3 Vojta Prusa 2015-10-21 16:01 EDT
Created attachment 1085277 [details]
Log for ER1
Comment 4 Vojta Prusa 2015-10-21 16:01 EDT
Created attachment 1085278 [details]
Log for ER1
Comment 5 Vojta Prusa 2015-10-21 16:01 EDT
Created attachment 1085279 [details]
Log for ER1
Comment 6 Vojta Prusa 2015-10-21 16:01 EDT
Created attachment 1085287 [details]
Log for ER2
Comment 7 Vojta Prusa 2015-10-21 16:02 EDT
Created attachment 1085294 [details]
Log for ER2
Comment 8 Vojta Prusa 2015-10-21 16:02 EDT
Created attachment 1085295 [details]
Log for ER2
Comment 9 Vojta Prusa 2015-10-21 16:02 EDT
Created attachment 1085296 [details]
Log for ER2
Comment 10 Vojta Prusa 2015-10-21 16:03 EDT
Created attachment 1085297 [details]
Log for ER2
Comment 11 Filip Brychta 2015-10-21 16:21:37 EDT
Everything works correctly when the patch is applied before installation.
There are no .new files for cassandra-jvm.properties nor for rhq-storage-wrapper.conf so it's still using old JMX_OPTS.
Comment 12 Filip Brychta 2015-10-21 16:22 EDT
Created attachment 1085323 [details]
rhq-storage-wrapper.log with debug msgs
Comment 13 Filip Brychta 2015-10-21 16:37 EDT
Created attachment 1085324 [details]
casssandra-jvm.properties
Comment 14 Filip Brychta 2015-10-21 16:38 EDT
Created attachment 1085325 [details]
rhq-storage-wrapper.env
Comment 15 Simeon Pinder 2015-10-24 07:04:28 EDT
This is fixed with the following commit to jon.git:
41ac37bddc8353

The fix was to add the missing files that were erroneously and inadvertently left out during fix for BZ 1247311.
Comment 16 Simeon Pinder 2015-10-24 07:09:14 EDT
Moving to ON_QA as available for test in latest brew build:
https://brewweb.devel.redhat.com/buildinfo?buildID=462976

*Note* jon-server-patch-3.3.0.GA.zip from above maps to CR01 build of JON 3.3.4.
Comment 17 Filip Brychta 2015-10-26 06:03:48 EDT
Verified on
Version :	
3.3.0.GA Update 04
Build Number :	
e9ed05b:aa79ebd

Note You need to log in before you can comment on or make changes to this bug.